#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <qsciscintilla.h>
#include <qscilexerpython.h>
#include <qsciapis.h>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
	lexer_(new QsciLexerPython()),
	apis_(new QsciAPIs(lexer_)),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
	apis_->add("foo.bar(foo, bar)");
	apis_->prepare();
	ui->textEdit->setLexer(lexer_);
	ui->textEdit->setAutoCompletionThreshold(2);
	ui->textEdit->setAutoCompletionSource(QsciScintilla::AcsAPIs);
}

MainWindow::~MainWindow()
{
    delete ui;
}
